Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network107.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
107.0.0.0
Broadcast address
107.127.255.255
First usable
107.0.0.1
Last usable
107.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 6B000000 · Integer 1795162112 to 1803550719
Reverse DNS zones
0.107.in-addr.arpa
1.107.in-addr.arpa
2.107.in-addr.arpa
3.107.in-addr.arpa
4.107.in-addr.arpa
5.107.in-addr.arpa
6.107.in-addr.arpa
7.107.in-addr.arpa
8.107.in-addr.arpa
9.107.in-addr.arpa
10.107.in-addr.arpa
11.107.in-addr.arpa
12.107.in-addr.arpa
13.107.in-addr.arpa
14.107.in-addr.arpa
15.107.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101011.00000000.00000000.00000000107.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01101011.00000000.00000000.00000000107.0.0.0
Broadcast01101011.01111111.11111111.11111111107.127.255.255
Split into smaller subnets/18

107.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1107.0.0.0/18107.0.0.1 to 107.0.63.254107.0.63.25516,382
2107.0.64.0/18107.0.64.1 to 107.0.127.254107.0.127.25516,382
3107.0.128.0/18107.0.128.1 to 107.0.191.254107.0.191.25516,382
4107.0.192.0/18107.0.192.1 to 107.0.255.254107.0.255.25516,382
5107.1.0.0/18107.1.0.1 to 107.1.63.254107.1.63.25516,382
6107.1.64.0/18107.1.64.1 to 107.1.127.254107.1.127.25516,382
7107.1.128.0/18107.1.128.1 to 107.1.191.254107.1.191.25516,382
8107.1.192.0/18107.1.192.1 to 107.1.255.254107.1.255.25516,382
9107.2.0.0/18107.2.0.1 to 107.2.63.254107.2.63.25516,382
10107.2.64.0/18107.2.64.1 to 107.2.127.254107.2.127.25516,382
11107.2.128.0/18107.2.128.1 to 107.2.191.254107.2.191.25516,382
12107.2.192.0/18107.2.192.1 to 107.2.255.254107.2.255.25516,382
13107.3.0.0/18107.3.0.1 to 107.3.63.254107.3.63.25516,382
14107.3.64.0/18107.3.64.1 to 107.3.127.254107.3.127.25516,382
15107.3.128.0/18107.3.128.1 to 107.3.191.254107.3.191.25516,382
16107.3.192.0/18107.3.192.1 to 107.3.255.254107.3.255.25516,382
17107.4.0.0/18107.4.0.1 to 107.4.63.254107.4.63.25516,382
18107.4.64.0/18107.4.64.1 to 107.4.127.254107.4.127.25516,382
19107.4.128.0/18107.4.128.1 to 107.4.191.254107.4.191.25516,382
20107.4.192.0/18107.4.192.1 to 107.4.255.254107.4.255.25516,382
21107.5.0.0/18107.5.0.1 to 107.5.63.254107.5.63.25516,382
22107.5.64.0/18107.5.64.1 to 107.5.127.254107.5.127.25516,382
23107.5.128.0/18107.5.128.1 to 107.5.191.254107.5.191.25516,382
24107.5.192.0/18107.5.192.1 to 107.5.255.254107.5.255.25516,382
25107.6.0.0/18107.6.0.1 to 107.6.63.254107.6.63.25516,382
26107.6.64.0/18107.6.64.1 to 107.6.127.254107.6.127.25516,382
27107.6.128.0/18107.6.128.1 to 107.6.191.254107.6.191.25516,382
28107.6.192.0/18107.6.192.1 to 107.6.255.254107.6.255.25516,382
29107.7.0.0/18107.7.0.1 to 107.7.63.254107.7.63.25516,382
30107.7.64.0/18107.7.64.1 to 107.7.127.254107.7.127.25516,382
31107.7.128.0/18107.7.128.1 to 107.7.191.254107.7.191.25516,382
32107.7.192.0/18107.7.192.1 to 107.7.255.254107.7.255.25516,382
33107.8.0.0/18107.8.0.1 to 107.8.63.254107.8.63.25516,382
34107.8.64.0/18107.8.64.1 to 107.8.127.254107.8.127.25516,382
35107.8.128.0/18107.8.128.1 to 107.8.191.254107.8.191.25516,382
36107.8.192.0/18107.8.192.1 to 107.8.255.254107.8.255.25516,382
37107.9.0.0/18107.9.0.1 to 107.9.63.254107.9.63.25516,382
38107.9.64.0/18107.9.64.1 to 107.9.127.254107.9.127.25516,382
39107.9.128.0/18107.9.128.1 to 107.9.191.254107.9.191.25516,382
40107.9.192.0/18107.9.192.1 to 107.9.255.254107.9.255.25516,382
41107.10.0.0/18107.10.0.1 to 107.10.63.254107.10.63.25516,382
42107.10.64.0/18107.10.64.1 to 107.10.127.254107.10.127.25516,382
43107.10.128.0/18107.10.128.1 to 107.10.191.254107.10.191.25516,382
44107.10.192.0/18107.10.192.1 to 107.10.255.254107.10.255.25516,382
45107.11.0.0/18107.11.0.1 to 107.11.63.254107.11.63.25516,382
46107.11.64.0/18107.11.64.1 to 107.11.127.254107.11.127.25516,382
47107.11.128.0/18107.11.128.1 to 107.11.191.254107.11.191.25516,382
48107.11.192.0/18107.11.192.1 to 107.11.255.254107.11.255.25516,382
49107.12.0.0/18107.12.0.1 to 107.12.63.254107.12.63.25516,382
50107.12.64.0/18107.12.64.1 to 107.12.127.254107.12.127.25516,382
51107.12.128.0/18107.12.128.1 to 107.12.191.254107.12.191.25516,382
52107.12.192.0/18107.12.192.1 to 107.12.255.254107.12.255.25516,382
53107.13.0.0/18107.13.0.1 to 107.13.63.254107.13.63.25516,382
54107.13.64.0/18107.13.64.1 to 107.13.127.254107.13.127.25516,382
55107.13.128.0/18107.13.128.1 to 107.13.191.254107.13.191.25516,382
56107.13.192.0/18107.13.192.1 to 107.13.255.254107.13.255.25516,382
57107.14.0.0/18107.14.0.1 to 107.14.63.254107.14.63.25516,382
58107.14.64.0/18107.14.64.1 to 107.14.127.254107.14.127.25516,382
59107.14.128.0/18107.14.128.1 to 107.14.191.254107.14.191.25516,382
60107.14.192.0/18107.14.192.1 to 107.14.255.254107.14.255.25516,382
61107.15.0.0/18107.15.0.1 to 107.15.63.254107.15.63.25516,382
62107.15.64.0/18107.15.64.1 to 107.15.127.254107.15.127.25516,382
63107.15.128.0/18107.15.128.1 to 107.15.191.254107.15.191.25516,382
64107.15.192.0/18107.15.192.1 to 107.15.255.254107.15.255.25516,382
65107.16.0.0/18107.16.0.1 to 107.16.63.254107.16.63.25516,382
66107.16.64.0/18107.16.64.1 to 107.16.127.254107.16.127.25516,382
67107.16.128.0/18107.16.128.1 to 107.16.191.254107.16.191.25516,382
68107.16.192.0/18107.16.192.1 to 107.16.255.254107.16.255.25516,382
69107.17.0.0/18107.17.0.1 to 107.17.63.254107.17.63.25516,382
70107.17.64.0/18107.17.64.1 to 107.17.127.254107.17.127.25516,382
71107.17.128.0/18107.17.128.1 to 107.17.191.254107.17.191.25516,382
72107.17.192.0/18107.17.192.1 to 107.17.255.254107.17.255.25516,382
73107.18.0.0/18107.18.0.1 to 107.18.63.254107.18.63.25516,382
74107.18.64.0/18107.18.64.1 to 107.18.127.254107.18.127.25516,382
75107.18.128.0/18107.18.128.1 to 107.18.191.254107.18.191.25516,382
76107.18.192.0/18107.18.192.1 to 107.18.255.254107.18.255.25516,382
77107.19.0.0/18107.19.0.1 to 107.19.63.254107.19.63.25516,382
78107.19.64.0/18107.19.64.1 to 107.19.127.254107.19.127.25516,382
79107.19.128.0/18107.19.128.1 to 107.19.191.254107.19.191.25516,382
80107.19.192.0/18107.19.192.1 to 107.19.255.254107.19.255.25516,382
81107.20.0.0/18107.20.0.1 to 107.20.63.254107.20.63.25516,382
82107.20.64.0/18107.20.64.1 to 107.20.127.254107.20.127.25516,382
83107.20.128.0/18107.20.128.1 to 107.20.191.254107.20.191.25516,382
84107.20.192.0/18107.20.192.1 to 107.20.255.254107.20.255.25516,382
85107.21.0.0/18107.21.0.1 to 107.21.63.254107.21.63.25516,382
86107.21.64.0/18107.21.64.1 to 107.21.127.254107.21.127.25516,382
87107.21.128.0/18107.21.128.1 to 107.21.191.254107.21.191.25516,382
88107.21.192.0/18107.21.192.1 to 107.21.255.254107.21.255.25516,382
89107.22.0.0/18107.22.0.1 to 107.22.63.254107.22.63.25516,382
90107.22.64.0/18107.22.64.1 to 107.22.127.254107.22.127.25516,382
91107.22.128.0/18107.22.128.1 to 107.22.191.254107.22.191.25516,382
92107.22.192.0/18107.22.192.1 to 107.22.255.254107.22.255.25516,382
93107.23.0.0/18107.23.0.1 to 107.23.63.254107.23.63.25516,382
94107.23.64.0/18107.23.64.1 to 107.23.127.254107.23.127.25516,382
95107.23.128.0/18107.23.128.1 to 107.23.191.254107.23.191.25516,382
96107.23.192.0/18107.23.192.1 to 107.23.255.254107.23.255.25516,382
97107.24.0.0/18107.24.0.1 to 107.24.63.254107.24.63.25516,382
98107.24.64.0/18107.24.64.1 to 107.24.127.254107.24.127.25516,382
99107.24.128.0/18107.24.128.1 to 107.24.191.254107.24.191.25516,382
100107.24.192.0/18107.24.192.1 to 107.24.255.254107.24.255.25516,382
101107.25.0.0/18107.25.0.1 to 107.25.63.254107.25.63.25516,382
102107.25.64.0/18107.25.64.1 to 107.25.127.254107.25.127.25516,382
103107.25.128.0/18107.25.128.1 to 107.25.191.254107.25.191.25516,382
104107.25.192.0/18107.25.192.1 to 107.25.255.254107.25.255.25516,382
105107.26.0.0/18107.26.0.1 to 107.26.63.254107.26.63.25516,382
106107.26.64.0/18107.26.64.1 to 107.26.127.254107.26.127.25516,382
107107.26.128.0/18107.26.128.1 to 107.26.191.254107.26.191.25516,382
108107.26.192.0/18107.26.192.1 to 107.26.255.254107.26.255.25516,382
109107.27.0.0/18107.27.0.1 to 107.27.63.254107.27.63.25516,382
110107.27.64.0/18107.27.64.1 to 107.27.127.254107.27.127.25516,382
111107.27.128.0/18107.27.128.1 to 107.27.191.254107.27.191.25516,382
112107.27.192.0/18107.27.192.1 to 107.27.255.254107.27.255.25516,382
113107.28.0.0/18107.28.0.1 to 107.28.63.254107.28.63.25516,382
114107.28.64.0/18107.28.64.1 to 107.28.127.254107.28.127.25516,382
115107.28.128.0/18107.28.128.1 to 107.28.191.254107.28.191.25516,382
116107.28.192.0/18107.28.192.1 to 107.28.255.254107.28.255.25516,382
117107.29.0.0/18107.29.0.1 to 107.29.63.254107.29.63.25516,382
118107.29.64.0/18107.29.64.1 to 107.29.127.254107.29.127.25516,382
119107.29.128.0/18107.29.128.1 to 107.29.191.254107.29.191.25516,382
120107.29.192.0/18107.29.192.1 to 107.29.255.254107.29.255.25516,382
121107.30.0.0/18107.30.0.1 to 107.30.63.254107.30.63.25516,382
122107.30.64.0/18107.30.64.1 to 107.30.127.254107.30.127.25516,382
123107.30.128.0/18107.30.128.1 to 107.30.191.254107.30.191.25516,382
124107.30.192.0/18107.30.192.1 to 107.30.255.254107.30.255.25516,382
125107.31.0.0/18107.31.0.1 to 107.31.63.254107.31.63.25516,382
126107.31.64.0/18107.31.64.1 to 107.31.127.254107.31.127.25516,382
127107.31.128.0/18107.31.128.1 to 107.31.191.254107.31.191.25516,382
128107.31.192.0/18107.31.192.1 to 107.31.255.254107.31.255.25516,382
129107.32.0.0/18107.32.0.1 to 107.32.63.254107.32.63.25516,382
130107.32.64.0/18107.32.64.1 to 107.32.127.254107.32.127.25516,382
131107.32.128.0/18107.32.128.1 to 107.32.191.254107.32.191.25516,382
132107.32.192.0/18107.32.192.1 to 107.32.255.254107.32.255.25516,382
133107.33.0.0/18107.33.0.1 to 107.33.63.254107.33.63.25516,382
134107.33.64.0/18107.33.64.1 to 107.33.127.254107.33.127.25516,382
135107.33.128.0/18107.33.128.1 to 107.33.191.254107.33.191.25516,382
136107.33.192.0/18107.33.192.1 to 107.33.255.254107.33.255.25516,382
137107.34.0.0/18107.34.0.1 to 107.34.63.254107.34.63.25516,382
138107.34.64.0/18107.34.64.1 to 107.34.127.254107.34.127.25516,382
139107.34.128.0/18107.34.128.1 to 107.34.191.254107.34.191.25516,382
140107.34.192.0/18107.34.192.1 to 107.34.255.254107.34.255.25516,382
141107.35.0.0/18107.35.0.1 to 107.35.63.254107.35.63.25516,382
142107.35.64.0/18107.35.64.1 to 107.35.127.254107.35.127.25516,382
143107.35.128.0/18107.35.128.1 to 107.35.191.254107.35.191.25516,382
144107.35.192.0/18107.35.192.1 to 107.35.255.254107.35.255.25516,382
145107.36.0.0/18107.36.0.1 to 107.36.63.254107.36.63.25516,382
146107.36.64.0/18107.36.64.1 to 107.36.127.254107.36.127.25516,382
147107.36.128.0/18107.36.128.1 to 107.36.191.254107.36.191.25516,382
148107.36.192.0/18107.36.192.1 to 107.36.255.254107.36.255.25516,382
149107.37.0.0/18107.37.0.1 to 107.37.63.254107.37.63.25516,382
150107.37.64.0/18107.37.64.1 to 107.37.127.254107.37.127.25516,382
151107.37.128.0/18107.37.128.1 to 107.37.191.254107.37.191.25516,382
152107.37.192.0/18107.37.192.1 to 107.37.255.254107.37.255.25516,382
153107.38.0.0/18107.38.0.1 to 107.38.63.254107.38.63.25516,382
154107.38.64.0/18107.38.64.1 to 107.38.127.254107.38.127.25516,382
155107.38.128.0/18107.38.128.1 to 107.38.191.254107.38.191.25516,382
156107.38.192.0/18107.38.192.1 to 107.38.255.254107.38.255.25516,382
157107.39.0.0/18107.39.0.1 to 107.39.63.254107.39.63.25516,382
158107.39.64.0/18107.39.64.1 to 107.39.127.254107.39.127.25516,382
159107.39.128.0/18107.39.128.1 to 107.39.191.254107.39.191.25516,382
160107.39.192.0/18107.39.192.1 to 107.39.255.254107.39.255.25516,382
161107.40.0.0/18107.40.0.1 to 107.40.63.254107.40.63.25516,382
162107.40.64.0/18107.40.64.1 to 107.40.127.254107.40.127.25516,382
163107.40.128.0/18107.40.128.1 to 107.40.191.254107.40.191.25516,382
164107.40.192.0/18107.40.192.1 to 107.40.255.254107.40.255.25516,382
165107.41.0.0/18107.41.0.1 to 107.41.63.254107.41.63.25516,382
166107.41.64.0/18107.41.64.1 to 107.41.127.254107.41.127.25516,382
167107.41.128.0/18107.41.128.1 to 107.41.191.254107.41.191.25516,382
168107.41.192.0/18107.41.192.1 to 107.41.255.254107.41.255.25516,382
169107.42.0.0/18107.42.0.1 to 107.42.63.254107.42.63.25516,382
170107.42.64.0/18107.42.64.1 to 107.42.127.254107.42.127.25516,382
171107.42.128.0/18107.42.128.1 to 107.42.191.254107.42.191.25516,382
172107.42.192.0/18107.42.192.1 to 107.42.255.254107.42.255.25516,382
173107.43.0.0/18107.43.0.1 to 107.43.63.254107.43.63.25516,382
174107.43.64.0/18107.43.64.1 to 107.43.127.254107.43.127.25516,382
175107.43.128.0/18107.43.128.1 to 107.43.191.254107.43.191.25516,382
176107.43.192.0/18107.43.192.1 to 107.43.255.254107.43.255.25516,382
177107.44.0.0/18107.44.0.1 to 107.44.63.254107.44.63.25516,382
178107.44.64.0/18107.44.64.1 to 107.44.127.254107.44.127.25516,382
179107.44.128.0/18107.44.128.1 to 107.44.191.254107.44.191.25516,382
180107.44.192.0/18107.44.192.1 to 107.44.255.254107.44.255.25516,382
181107.45.0.0/18107.45.0.1 to 107.45.63.254107.45.63.25516,382
182107.45.64.0/18107.45.64.1 to 107.45.127.254107.45.127.25516,382
183107.45.128.0/18107.45.128.1 to 107.45.191.254107.45.191.25516,382
184107.45.192.0/18107.45.192.1 to 107.45.255.254107.45.255.25516,382
185107.46.0.0/18107.46.0.1 to 107.46.63.254107.46.63.25516,382
186107.46.64.0/18107.46.64.1 to 107.46.127.254107.46.127.25516,382
187107.46.128.0/18107.46.128.1 to 107.46.191.254107.46.191.25516,382
188107.46.192.0/18107.46.192.1 to 107.46.255.254107.46.255.25516,382
189107.47.0.0/18107.47.0.1 to 107.47.63.254107.47.63.25516,382
190107.47.64.0/18107.47.64.1 to 107.47.127.254107.47.127.25516,382
191107.47.128.0/18107.47.128.1 to 107.47.191.254107.47.191.25516,382
192107.47.192.0/18107.47.192.1 to 107.47.255.254107.47.255.25516,382
193107.48.0.0/18107.48.0.1 to 107.48.63.254107.48.63.25516,382
194107.48.64.0/18107.48.64.1 to 107.48.127.254107.48.127.25516,382
195107.48.128.0/18107.48.128.1 to 107.48.191.254107.48.191.25516,382
196107.48.192.0/18107.48.192.1 to 107.48.255.254107.48.255.25516,382
197107.49.0.0/18107.49.0.1 to 107.49.63.254107.49.63.25516,382
198107.49.64.0/18107.49.64.1 to 107.49.127.254107.49.127.25516,382
199107.49.128.0/18107.49.128.1 to 107.49.191.254107.49.191.25516,382
200107.49.192.0/18107.49.192.1 to 107.49.255.254107.49.255.25516,382
201107.50.0.0/18107.50.0.1 to 107.50.63.254107.50.63.25516,382
202107.50.64.0/18107.50.64.1 to 107.50.127.254107.50.127.25516,382
203107.50.128.0/18107.50.128.1 to 107.50.191.254107.50.191.25516,382
204107.50.192.0/18107.50.192.1 to 107.50.255.254107.50.255.25516,382
205107.51.0.0/18107.51.0.1 to 107.51.63.254107.51.63.25516,382
206107.51.64.0/18107.51.64.1 to 107.51.127.254107.51.127.25516,382
207107.51.128.0/18107.51.128.1 to 107.51.191.254107.51.191.25516,382
208107.51.192.0/18107.51.192.1 to 107.51.255.254107.51.255.25516,382
209107.52.0.0/18107.52.0.1 to 107.52.63.254107.52.63.25516,382
210107.52.64.0/18107.52.64.1 to 107.52.127.254107.52.127.25516,382
211107.52.128.0/18107.52.128.1 to 107.52.191.254107.52.191.25516,382
212107.52.192.0/18107.52.192.1 to 107.52.255.254107.52.255.25516,382
213107.53.0.0/18107.53.0.1 to 107.53.63.254107.53.63.25516,382
214107.53.64.0/18107.53.64.1 to 107.53.127.254107.53.127.25516,382
215107.53.128.0/18107.53.128.1 to 107.53.191.254107.53.191.25516,382
216107.53.192.0/18107.53.192.1 to 107.53.255.254107.53.255.25516,382
217107.54.0.0/18107.54.0.1 to 107.54.63.254107.54.63.25516,382
218107.54.64.0/18107.54.64.1 to 107.54.127.254107.54.127.25516,382
219107.54.128.0/18107.54.128.1 to 107.54.191.254107.54.191.25516,382
220107.54.192.0/18107.54.192.1 to 107.54.255.254107.54.255.25516,382
221107.55.0.0/18107.55.0.1 to 107.55.63.254107.55.63.25516,382
222107.55.64.0/18107.55.64.1 to 107.55.127.254107.55.127.25516,382
223107.55.128.0/18107.55.128.1 to 107.55.191.254107.55.191.25516,382
224107.55.192.0/18107.55.192.1 to 107.55.255.254107.55.255.25516,382
225107.56.0.0/18107.56.0.1 to 107.56.63.254107.56.63.25516,382
226107.56.64.0/18107.56.64.1 to 107.56.127.254107.56.127.25516,382
227107.56.128.0/18107.56.128.1 to 107.56.191.254107.56.191.25516,382
228107.56.192.0/18107.56.192.1 to 107.56.255.254107.56.255.25516,382
229107.57.0.0/18107.57.0.1 to 107.57.63.254107.57.63.25516,382
230107.57.64.0/18107.57.64.1 to 107.57.127.254107.57.127.25516,382
231107.57.128.0/18107.57.128.1 to 107.57.191.254107.57.191.25516,382
232107.57.192.0/18107.57.192.1 to 107.57.255.254107.57.255.25516,382
233107.58.0.0/18107.58.0.1 to 107.58.63.254107.58.63.25516,382
234107.58.64.0/18107.58.64.1 to 107.58.127.254107.58.127.25516,382
235107.58.128.0/18107.58.128.1 to 107.58.191.254107.58.191.25516,382
236107.58.192.0/18107.58.192.1 to 107.58.255.254107.58.255.25516,382
237107.59.0.0/18107.59.0.1 to 107.59.63.254107.59.63.25516,382
238107.59.64.0/18107.59.64.1 to 107.59.127.254107.59.127.25516,382
239107.59.128.0/18107.59.128.1 to 107.59.191.254107.59.191.25516,382
240107.59.192.0/18107.59.192.1 to 107.59.255.254107.59.255.25516,382
241107.60.0.0/18107.60.0.1 to 107.60.63.254107.60.63.25516,382
242107.60.64.0/18107.60.64.1 to 107.60.127.254107.60.127.25516,382
243107.60.128.0/18107.60.128.1 to 107.60.191.254107.60.191.25516,382
244107.60.192.0/18107.60.192.1 to 107.60.255.254107.60.255.25516,382
245107.61.0.0/18107.61.0.1 to 107.61.63.254107.61.63.25516,382
246107.61.64.0/18107.61.64.1 to 107.61.127.254107.61.127.25516,382
247107.61.128.0/18107.61.128.1 to 107.61.191.254107.61.191.25516,382
248107.61.192.0/18107.61.192.1 to 107.61.255.254107.61.255.25516,382
249107.62.0.0/18107.62.0.1 to 107.62.63.254107.62.63.25516,382
250107.62.64.0/18107.62.64.1 to 107.62.127.254107.62.127.25516,382
251107.62.128.0/18107.62.128.1 to 107.62.191.254107.62.191.25516,382
252107.62.192.0/18107.62.192.1 to 107.62.255.254107.62.255.25516,382
253107.63.0.0/18107.63.0.1 to 107.63.63.254107.63.63.25516,382
254107.63.64.0/18107.63.64.1 to 107.63.127.254107.63.127.25516,382
255107.63.128.0/18107.63.128.1 to 107.63.191.254107.63.191.25516,382
256107.63.192.0/18107.63.192.1 to 107.63.255.254107.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses